#
#

import h5py as h5

#

def read_mesh (filename) :

    with h5.File(filename, 'r') as f :

        n_face = f.attrs['n_fc']
        n_vert = f.attrs['n_vt']

        faces = f['fc']['j_vt'][...]
        verts = f['vt']['vr'][...]

    return {'n_face': n_face,
            'n_vert': n_vert,
            'faces': faces,
            'verts': verts}
